package de.intevation.gnv.timeseries.gap;

/**
 * The default implementation of <code>TimeGap</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultTimeGap implements TimeGap {

    /**
     * The UNIT of the TimeGap
     * See the Constants in de.intevation.gnv.timeseries.gap.TimeGap
     */
    private String unit;

    /**
     * The Key of the TimeGap which must be equivalent to the
     * Key used in the DWH
     */
    private int key;

    /**
     * The Value of the Gap.
     * Use the Unit and the Time Constants to Calculate the
     * value in Milliseconds
     */
    private int value;

    /**
     * Constructor
     *
     * @param unit Unit of this value.
     * @param key The key of this time gap.
     * @param value The value of this gap.
     */
    public DefaultTimeGap(String unit, int key, int value) {
        super();
        this.unit = unit;
        this.key = key;
        this.value = value;
    }


    public String getUnit() {
        return this.unit;
    }


    public int getKey() {
        return this.key;
    }


    public int getValue() {
        return this.value;
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :